name: rtree 
# version: 0.1.0
# synopsis: synopsis
# maintainer: maintainer <email>
# category: categories
# extra-source-files: []

ghc-options: -Wall -fno-warn-incomplete-uni-patterns 

dependencies:
  - base >= 4.9 && < 5
  - transformers
  - free
  - vector
  - data-fix
  - mtl
  - directory
  - containers
  - text
  - pretty-simple

library:
  source-dirs: src

executables:
  rtree-c: 
    source-dirs: bin/rtree-c
    main: Main.hs
    dependencies:
      - rtree
      - optparse-applicative
      - language-c
      - typed-process
      - directory
      - pretty
      - filepath
      - co-log
      - time
      - text

tests:
  rtree-test:
    source-dirs: test/src
    main: Main.hs
    dependencies:
      - rtree
      # - template
      # - hedgehog
      # - hspec
      # - hspec-discover
      # - hspec-expectations-pretty-diff
      # - hspec-hedgehog
